<template>
	<div>
		<el-input  v-model="_value"></el-input>
	</div>
</template>
<script>
//TODO: ver si se puede obtener la lista de codecs desde asterisk
export default {
	props: {
		value: [Array, String],
	}	,
	computed: {
		_value: {
			get() {
				return Array.isArray(this.value) ? this.value.join() : this.value 
			},
			set(v) {
				const partes = v.split(/[\n,]/i)
				let res = []
				for(let p of partes) {
					res.push(p.trim())
				}
				this.$emit('input', res)
			}
		}
	},
}
</script>